Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO] messaggi di errore che non capisco

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO] messaggi di errore che non capisco

Messaggioda ermes » lun ago 13, 2012 9:39

forse date le vacanze mi sono perso qualche discussione... portate pazienza.
è da un paio di current fa che mi compare, sia in fase di avvio di sistema, sia quando installo un pacchetto qualsiasi il seguente messaggio:
Codice: Seleziona tutto
/sbin/ldconfig:
/usr/lib64/libplc4.so is not a symbolic link
/usr/lib64/libnss3.so is not a symbolic link
/usr/lib64/libplds4.so is not a symbolic link
/usr/lib64/libnssutil3.so is not a symbolic link
/usr/lib64/libssl3.so is not a symbolic link
/usr/lib64/libuspr4.so is not a symbolic link
/usr/lib64/libsmime3.so is not a symbolic link


il sistema sembra funzionare comunque, i pacchetti vengono installati... ma il messaggio mi da molto fastidio e mi piacerebbe capire da dove viene ed eliminarlo.

ciao e grazie in anticipo
Ultima modifica di ermes il sab ago 18, 2012 22:00, modificato 1 volta in totale.
Avatar utente
ermes
Linux 2.4
Linux 2.4
 
Messaggi: 339
Iscritto il: dom feb 20, 2005 0:00
Località: Rho (Mi)
Slackware: current 64
Desktop: kde

Re: messaggi di errore che non capisco

Messaggioda sixjan » lun ago 13, 2012 12:37

sixjan
Linux 2.4
Linux 2.4
 
Messaggi: 407
Iscritto il: dom gen 06, 2008 11:46
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: Xfce 4.10

Re: messaggi di errore che non capisco

Messaggioda ermes » lun ago 13, 2012 14:51

sixjan ha scritto:http://www.linuxquestions.org/questions/slackware-14/friday-the-13th-massive-upgrade-4175416622/page6.html


ok, ho guardato, ma probabilmente, a causa del mio scarsissimo inglese non sono riuscito a capire/combinare nulla.

ho ri installato mozilla-nss come indicato da pat ma non è cambiato nulla
ho provato a fare la pulizia del sistema slackpkg clean-system ma nulla

devo creare i link simbolici a mano ? speravo in qualche cosa di meglio.... oppure (come molto probabile) non ho capito nulla #-o
Avatar utente
ermes
Linux 2.4
Linux 2.4
 
Messaggi: 339
Iscritto il: dom feb 20, 2005 0:00
Località: Rho (Mi)
Slackware: current 64
Desktop: kde

Re: messaggi di errore che non capisco

Messaggioda sixjan » lun ago 13, 2012 23:00

Io sto ancora felicemente alla 12.2 e il mio aiuto è limitato. Dunque, un utente risolve. Più avanti c'è la spiegazione in italiano. Ripeto, non posso testarla ;-)

Hi,

I found the problem, and I think it is because of Spotify. To be able to launch Spotify I had to do symlinks from /usr/lib64/seamonkey-2.10.1/ to /usr/lib64, the corresponded files match those from the ldconfig warnings:

/usr/lib64/libnss3.so.1d
/usr/lib64/libnssutil3.so.1d
/usr/lib64/libsmime3.so.1d
/usr/lib64/libplc4.so.0d
/usr/lib64/libnspr4.so.0d

So I deleted all the Spotify symlinks and re-added them but from /usr/lib64 instead of /usr/lib64/seamonkey-2.10.1/ because then I will generate the warnings again:

ln -s /usr/lib64/libnss3.so /usr/lib64/libnss3.so.1d
ln -s /usr/lib64/libnssutil3.so /usr/lib64/libnssutil3.so.1d
ln -s /usr/lib64/libsmime3.so /usr/lib64/libsmime3.so.1d
ln -s /usr/lib64/libplc4.so /usr/lib64/libplc4.so.0d
ln -s /usr/lib64/libnspr4.so /usr/lib64/libnspr4.so.0d

I dont understand though why one cannot make symlinks from seamonkey-2.10.1?


Dice di cancellare quei link simbolici e rifarli da dentro /usr/lib64 e NON da /usr/lib64/seamonkey-2.10.1.

Quindi prima *cancelli* i link simbolici che ti danno l'errore, poi fai:

Codice: Seleziona tutto
ln -s /usr/lib64/libnss3.so /usr/lib64/libnss3.so.1d
ln -s /usr/lib64/libnssutil3.so /usr/lib64/libnssutil3.so.1d
ln -s /usr/lib64/libsmime3.so /usr/lib64/libsmime3.so.1d
ln -s /usr/lib64/libplc4.so /usr/lib64/libplc4.so.0d
ln -s /usr/lib64/libnspr4.so /usr/lib64/libnspr4.so.0d


Se non ti va di farli uno ad uno, copia e incolla su prova.txt e poi da root:

sh prova.txt
sixjan
Linux 2.4
Linux 2.4
 
Messaggi: 407
Iscritto il: dom gen 06, 2008 11:46
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: Xfce 4.10

Re: messaggi di errore che non capisco

Messaggioda miklos » gio ago 16, 2012 9:28

anche io ho avuto lo stesso problema, ho risolto eliminando il pacchetto google-chrome di slacky.
come scritto pure qui questo pacchetto crea dei link che non piacciono tanto a ldconfig(fermo restando che parliamo di warning e non errori veri e prori)
questi link con tanta probabilità servivano a chrome per utilizzare le librerie seamonkey... librerie che adesso sono presenti al posto giusto nel pacchetto mozilla-nss pertanto quei link non hanno piu' senso (infatti se si pacchettizza chrome con lo slackbuild ufficiale che sta sotto extra/ non vengono piu' creati).

ciau
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1241
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: messaggi di errore che non capisco

Messaggioda ermes » sab ago 18, 2012 22:00

tutto vero.
grazie 1000 ;)
Avatar utente
ermes
Linux 2.4
Linux 2.4
 
Messaggi: 339
Iscritto il: dom feb 20, 2005 0:00
Località: Rho (Mi)
Slackware: current 64
Desktop: kde


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti